Retrieves all the job_priority objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "f713ef95-f2dc-4725-a0a5-b52b66a12372",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "a69d4790-481c-4d9e-9a13-9024058101a2",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "2f640c43-7e8c-4a88-a4d9-01d23b0e47e0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "01cee583-a28d-4c1e-87f2-73ed1f54647d",
"db_currency_id": "4271a3da-f708-4868-9cd2-8ec4c731b085",
"db_language_id": "6b8bcb50-c93a-4ae5-81df-03fe83ebc4ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T17:12:41.4489387+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T17:12:41.4489387+00:00"
}